<div class="container">
  <p>ID: {{ device.ID }}</p>
  <p>Name: {{ device.name }}</p>
  <ul *ngIf="device.variables.length">
    <li *ngFor="let variable of device.variables;">{{ variable.key }}: "{{ variable.value }}"</li>
  </ul>

  <!-- add buttons to edit -->
</div>
